Altibase.jdbc.driver

## Class JniExtRdmaSocket

- java.lang.Object
- - Altibase.jdbc.driver.JniExtRdmaSocket

    public class JniExtRdmaSocket
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`JniExtRdmaSocket()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `load()`
`static void` `rbind(int aSocket, java.lang.String aAddr)`
`static void` `rclose(int aSocket)`
`static void` `rconnect(int aSocket, java.lang.String aAddr, int aPort, int aTimeout)`
`static void` `rgetsockopt(int aSocket, int aLevel, int aOptName, int aValue)`
`static int` `rrecv(int aSocket, java.nio.ByteBuffer aBuffer, int aOffset, int aLength, int aTimeout)`
`static int` `rsend(int aSocket, java.nio.ByteBuffer aBuffer, int aOffset, int aLength, int aTimeout)`
`static void` `rsetsockopt(int aSocket, int aLevel, int aOptName, int aValue)`
`static int` `rsocket(int aDomain)`
`static void` `unload()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JniExtRdmaSocket

    public JniExtRdmaSocket()

### Method Detail

#### load

    public static void load()
                     throws java.io.IOException

Throws:
  `java.io.IOException`

#### unload

    public static void unload()

#### rsocket

    public static int rsocket(int aDomain)
                       throws java.io.IOException

Throws:
  `java.io.IOException`

#### rbind

    public static void rbind(int aSocket,
                             java.lang.String aAddr)
                      throws java.io.IOException

Throws:
  `java.io.IOException`

#### rconnect

    public static void rconnect(int aSocket,
                                java.lang.String aAddr,
                                int aPort,
                                int aTimeout)
                         throws java.io.IOException

Throws:
  `java.io.IOException`

#### rclose

    public static void rclose(int aSocket)
                       throws java.io.IOException

Throws:
  `java.io.IOException`

#### rrecv

    public static int rrecv(int aSocket,
                            java.nio.ByteBuffer aBuffer,
                            int aOffset,
                            int aLength,
                            int aTimeout)
                     throws java.io.IOException

Throws:
  `java.io.IOException`

#### rsend

    public static int rsend(int aSocket,
                            java.nio.ByteBuffer aBuffer,
                            int aOffset,
                            int aLength,
                            int aTimeout)
                     throws java.io.IOException

Throws:
  `java.io.IOException`

#### rsetsockopt

    public static void rsetsockopt(int aSocket,
                                   int aLevel,
                                   int aOptName,
                                   int aValue)
                            throws java.io.IOException

Throws:
  `java.io.IOException`

#### rgetsockopt

    public static void rgetsockopt(int aSocket,
                                   int aLevel,
                                   int aOptName,
                                   int aValue)
                            throws java.io.IOException

Throws:
  `java.io.IOException`